@import url('https://fonts.googleapis.com/css2?family=Boldonse&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Mukta:wght@200;300;400;500;600;700;800&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Tiro+Devanagari+Marathi:ital@0;1&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Boldonse&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Mukta:wght@200;300;400;500;600;700;800&family=Oswald:wght@200..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Tiro+Devanagari+Marathi:ital@0;1&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:opsz,wght@14..32,100..900&display=swap');

body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-image: url("mount-everest-at-sunset.webp");
    background-repeat: no-repeat;
    background-size: auto;
    width: auto;
    height: 260vh;
  }
  
  .topnav {
    overflow: hidden;
    background-color: rgba(66, 249, 249, 0.177);
    display: flex;
    justify-content: flex-end;
    align-items: center;
    margin-top: 20px;
    border-radius: 1ex;
  }
  


  .topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
  }



  .topnav a:hover {
    background-color: #ddd;
    color: black;
  }
  
  .topnav a.active {
    background-color: #04AA6D;
    color: white;
    margin-right: 20px;
  }
  
  .topnav a.btn{
    margin-right: 20px;
  }

  .topnav .icon {
    display: none;
  }
  @media screen and (min-width: 768px) {
    .topnav .btns{
        margin-right: 50px;
    }
    .name{
      position: absolute;
      left: 5%;
      top: 10%;
    }
    .line{
      height: 1.5%;
      width: 20%;
      position: absolute;
      background-color: rgb(255, 74, 71);
      left: 5%;
      top: 22%;
    }
    h5{
      position: absolute;
      left: 5%;
      top: 20%;
      padding-right: 100ex;
    }
    .idtwo{
      display: flex;
      justify-content: space-between;
      flex-direction: column-reverse;
      
    }
    .image{
      width: 441px;
      height: 450px;
      float: right;
      margin-right: 80px;
      margin-top: 60px;
    }
    .items{
      display: flex;
      position: relative;
      top: 35ex;
      width: 100%;
      justify-content: space-around;
    }
  .id{
    float: right;
    margin-right: -300px;
  }

  .mapw{
    width: 50%;
  }
  .info{
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    margin-top: 20%;
    margin-right: 7.5%;
    margin-left: 7.5%;
  }
  .line2{
    width: 0.5ex;
    height: 20ex;
    background-color: crimson;
    border-radius: 10%;
  }
  body{
    background-size: 100% 38%;
  }
  footer{
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: rgb(33, 42, 55);
    color: azure;
  }
  .desc{
    padding-right: 0;
    width: 40%;
  }
  .card-container{
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
    padding: 40px;
  }
  .e-card{
    width: 240px;
    height: 330px;
  }
  /* Ensure box-sizing and font apply to all relevant components */
.card-wrapper,
.card-list .card-item,
.card-list .card-item .card-link,
.card-list .card-link .card-image,
.card-list .card-link .badge,
.card-list .card-link .card-title,
.card-list .card-link .card-button {
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
}

/* Container */
.container {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
}
.card-wrapper {
  position: relative;
  max-width: 95%;
  overflow: hidden;
  margin-top: 25%;
  margin-left: -5vw;
}


/* Card Item */
.card-list .card-item {
  list-style: none;
}

/* Card Link */
.card-list .card-item .card-link {
  display: block;
  background: #fff;
  padding: 1.2rem;
  user-select: none;
  border-radius: 0.75rem;
  text-decoration: none;
  border: 0.125rem solid transparent;
  box-shadow: 0 0.625rem 0.625rem rgba(0, 0, 0, 0.05);
  transition: 0.2s ease;
}

.card-list .card-item .card-link:active {
  cursor: grabbing;
}

.card-list .card-item .card-link:hover {
  border-color: #5372F0;
}

/* Image */
.card-list .card-link .card-image {
  width: 100%;
  border-radius: 0.625rem;
  aspect-ratio: 16 / 9;
  object-fit: cover;
}

/* Badges */
.card-list .card-link .badge {
  color: #5372F0;
  width: fit-content;
  padding: 0.5rem 1rem;
  font-size: 0.95rem;
  border-radius: 50px;
  font-weight: 500;
  background: #DDE4FF;
  margin: 1rem 0 1.2rem;
}

.card-list .card-link .badge-designer {
  color: #B22485;
  background: #F7DFF5;
}

.card-list .card-link .badge-marketer {
  color: #B25A2B;
  background: #FFE3D2;
}

.card-list .card-link .badge-gamer {
  color: #205C20;
  background: #D6F8D6;
}

.card-list .card-link .badge-editor {
  color: #856404;
  background: #fff3cd;
}

/* Title */
.card-list .card-link .card-title {
  color: #000;
  font-size: 1.2rem;
  font-weight: 600;
}

/* Button */
.card-list .card-link .card-button {
  height: 2.2rem;
  width: 2.2rem;
  color: #5372F0;
  margin: 2rem 0 0.5rem;
  background: none;
  cursor: pointer;
  border-radius: 50%;
  border: 0.125rem solid #5372F0;
  transform: rotate(-45deg);
  transition: 0.4s ease;
}

.card-list .card-link:hover .card-button {
  color: #fff;
  background: #5372F0;
}

/* Pagination Bullets */
.card-wrapper .swiper-pagination-bullet {
  height: 0.8rem;
  width: 0.8rem;
  opacity: 0.5;
  background: #5372F0;
}

.card-wrapper .swiper-pagination-bullet-active {
  opacity: 1;
}

/* Slide Button */
.card-wrapper .swiper-slide-button {
  color: #5372F0;
  margin-top: -2rem;
}

  }

  @media screen and (max-width: 768px) {
    .topnav{
      width: 100vw;
    }
    .topnav a:not(:first-child) {display: none;}
    .topnav a.icon {
      float: right;
      display: block;
    }
    .topnav a.active{
        margin: 0%;
    }


    .line{
      height: 1.5ex;
      width: 80%;
      background-color: rgb(255, 74, 71);
    }
    h5{
      display: flex;
      align-items: center;
      flex-direction: column;
      top: 20%;
      text-align: center;
    }
    .idone{
      flex-direction: column-reverse;
      align-items: center;
      text-align: center;
    }
    .idtwo{
      flex-direction: column-reverse;
      align-items: center;
      text-align: center;
    }
    .image{
      width: 100%;
      height: 100%;
      margin-top: 60px;

    }
    
  .id{
    width: 44%;
    height: 50%;
    margin-left: -72%;
    margin-top: 25%;
  }
  .map{
    margin-top: 130%;
    width: 150%;
  }
  .mapw{
    display: flex;
  }
  .bio{
    text-align: center;
  }
  .items{
    align-content: center;
    display: flex;
    position: relative;
    top: 30ex;
    width: 100%;
    justify-content: space-around;
  }
  footer{
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: rgb(33, 42, 55);
    color: azure;
    width: 158vw;
    position: relative;
  }
  .line2{
    display: none;
  }
  .info{
    display: flex;
    flex-direction: column;
  }
  .com1{
    display: flex;
    width: 100vw;
    flex-direction: column;
    align-items: center;
  }
  .image1{
    width: 125%;
    height: 125%;
  }
  .com{
    display: flex;
  }
  .card-container{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    width: 35vw;
    padding: 0;
  }
  .e-card{
    width: 45vw;
    height: 45vh;
  }
  footer{
    display: flex;
    flex-direction: column;
    width: 100%;
  }
  .desc{
    width: 100%;
  }
  /* Ensure box-sizing and font apply to all relevant components */
.card-wrapper,
.card-list .card-item,
.card-list .card-item .card-link,
.card-list .card-link .card-image,
.card-list .card-link .badge,
.card-list .card-link .card-title,
.card-list .card-link .card-button {
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
}

/* Container */
.container {
  width: 100vw;
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-top: 25vh;
}
.card-wrapper {
  position: relative;
  max-width: 95%;
  overflow: hidden;
  margin-top: 25%;
  margin-left: -20vw;
}


/* Card Item */
.card-list .card-item {
  list-style: none;
}

/* Card Link */
.card-list .card-item .card-link {
  display: block;
  background: #fff;
  padding: 1.2rem;
  user-select: none;
  border-radius: 0.75rem;
  text-decoration: none;
  border: 0.125rem solid transparent;
  box-shadow: 0 0.625rem 0.625rem rgba(0, 0, 0, 0.05);
  transition: 0.2s ease;
}

.card-list .card-item .card-link:active {
  cursor: grabbing;
}

.card-list .card-item .card-link:hover {
  border-color: #5372F0;
}

/* Image */
.card-list .card-link .card-image {
  width: 100%;
  border-radius: 0.625rem;
  aspect-ratio: 16 / 9;
  object-fit: cover;
}

/* Badges */
.card-list .card-link .badge {
  color: #5372F0;
  width: fit-content;
  padding: 0.5rem 1rem;
  font-size: 0.95rem;
  border-radius: 50px;
  font-weight: 500;
  background: #DDE4FF;
  margin: 1rem 0 1.2rem;
}

.card-list .card-link .badge-designer {
  color: #B22485;
  background: #F7DFF5;
}

.card-list .card-link .badge-marketer {
  color: #B25A2B;
  background: #FFE3D2;
}

.card-list .card-link .badge-gamer {
  color: #205C20;
  background: #D6F8D6;
}

.card-list .card-link .badge-editor {
  color: #856404;
  background: #fff3cd;
}

/* Title */
.card-list .card-link .card-title {
  color: #000;
  font-size: 1.2rem;
  font-weight: 600;
}

/* Button */
.card-list .card-link .card-button {
  height: 2.2rem;
  width: 2.2rem;
  color: #5372F0;
  margin: 2rem 0 0.5rem;
  background: none;
  cursor: pointer;
  border-radius: 50%;
  border: 0.125rem solid #5372F0;
  transform: rotate(-45deg);
  transition: 0.4s ease;
}

.card-list .card-link:hover .card-button {
  color: #fff;
  background: #5372F0;
}

/* Pagination Bullets */
.card-wrapper .swiper-pagination-bullet {
  height: 0.8rem;
  width: 0.8rem;
  opacity: 0.5;
  background: #5372F0;
}

.card-wrapper .swiper-pagination-bullet-active {
  opacity: 1;
}

/* Slide Button */
.card-wrapper .swiper-slide-button {
  color: #5372F0;
  margin-top: -2rem;
}
  }
  
  @media screen and (max-width: 768px) {
    .topnav.responsive {position: relative;}
    .topnav.responsive .icon {
      position: absolute;
      right: 0;
      top: 0;
    }
    .topnav.responsive a {
      float: none;
      display: block;
      text-align: left;
    }
  }

  .logo{
    width: 5.6ex;
    height: 5.6ex;
    position: absolute;
    left: 2ex;
    border-radius: 100%;
  }
  .name{
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 900;
    font-style: normal;
    font-size: 300%;
    color: azure;
  }
  .desc{
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: larger;
    color: azure;

  }


  .btntxt{
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    text-decoration: none;
    color: rgb(16, 23, 32);
  }
  .idone{
    top: 35ex;
    display: flex;
    position: relative;
    justify-content: space-between;
    margin: 5ex;
  }
  .idoneimg{
    width: 40ex;
    height: 40ex;
    border-radius: 100%;
    border: black 0.5px solid;
  }
  .idonetxt{
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: larger;
    color: black;
  }
  h4{
    width: 50%;
  }
  .idtwo{
    top: 35ex;
    display: flex;
    position: relative;
    margin: 5ex;
  }
  .idtwoimg{
    width: 40ex;
    height: 40ex;
    border-radius: 100%;
    border: black 0.5px solid;
  }
  .idtwotxt{
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: larger;
    color: black;
  }

  .idonetxt{
    font-family: "Bebas Neue", sans-serif;
    font-weight: 300;
    font-style: normal;
    font-size: larger;
  }

  .idtwotxt{
    font-family: "Bebas Neue", sans-serif;
    font-weight: 300;
    font-style: normal;
    font-size: larger;
  }

  .btntxt{
    font-family: "Bebas Neue", sans-serif;
    font-weight: 200;
    font-style: normal;
    font-size: larger;
  }

  .h4{
    font-family: "Roboto Condensed", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
  }
  .svg-inline--fa {
    vertical-align: -0.200em;
  }
  
  .rounded-social-buttons {
    text-align: center;
  }
  
  .rounded-social-buttons .social-button {
    display: inline-block;
    position: relative;
    cursor: pointer;
    width: 3.125rem;
    height: 3.125rem;
    border: 0.125rem solid transparent;
    padding: 0;
    text-decoration: none;
    text-align: center;
    color: #fefefe;
    font-size: 1.5625rem;
    font-weight: normal;
    line-height: 2em;
    border-radius: 1.6875rem;
    transition: all 0.5s ease;
    margin-right: 0.25rem;
    margin-bottom: 0.25rem;
  }
  
  .rounded-social-buttons .social-button:hover, .rounded-social-buttons .social-button:focus {
    -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  
  .rounded-social-buttons .fa-twitter, .fa-facebook-f, .fa-linkedin, .fa-tiktok, .fa-youtube, .fa-instagram {
    font-size: 25px;
  }
  
  .rounded-social-buttons .social-button.facebook {
    background: #3b5998;
  }
  
  .rounded-social-buttons .social-button.facebook:hover, .rounded-social-buttons .social-button.facebook:focus {
    color: #3b5998;
    background: #fefefe;
    border-color: #3b5998;
  }
  
  
  .rounded-social-buttons .social-button.youtube {
    background: #bb0000;
  }
  
  .rounded-social-buttons .social-button.youtube:hover, .rounded-social-buttons .social-button.youtube:focus {
    color: #bb0000;
    background: #fefefe;
    border-color: #bb0000;
  }
  
  .rounded-social-buttons .social-button.instagram {
    background: #125688;
  }
  
  .rounded-social-buttons .social-button.instagram:hover, .rounded-social-buttons .social-button.instagram:focus {
    color: #125688;
    background: #fefefe;
    border-color: #125688;
  }

#chatBubble {
  position: fixed;
  bottom: 25px;
  right: 25px;
  background: #007bff;
  color: #fff;
  font-size: 24px;
  padding: 15px;
  border-radius: 50%;
  cursor: pointer;
  z-index: 1000;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
  transition: transform 0.2s ease;
}
#chatBubble:hover {
  transform: scale(1.1);
}

#chatContainer {
  position: fixed;
  bottom: 90px;
  right: 25px;
  width: 300px;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
  display: none;
  flex-direction: column;
  overflow: hidden;
  animation: fadeIn 0.3s ease-in-out;
  z-index: 999;
}

#chatHeader {
  background: #007bff;
  color: white;
  padding: 10px;
  font-weight: bold;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-family: Arial;
}

#closeChat {
  cursor: pointer;
  font-size: 16px;
  padding: 2px 6px;
  background-color: #0056b3;
  border-radius: 50%;
  transition: background 0.3s ease;
}
#closeChat:hover {
  background-color: #003d80;
}

#chatLog {
  height: 250px;
  padding: 10px;
  overflow-y: auto;
  font-family: sans-serif;
  font-size: 14px;
}

#userInput {
  border: none;
  border-top: 1px solid #ccc;
  padding: 10px;
  width: 100%;
  box-sizing: border-box;
  font-size: 14px;
  outline: none;
}

@keyframes fadeIn {
  from {opacity: 0; transform: translateY(20px);}
  to {opacity: 1; transform: translateY(0);}
}






/* Responsive Styles */
@media (max-width: 768px) {

   
  .card-wrapper .swiper-slide-button {
    display: none;
  }
}

 .card-container {
      gap: 20px;
      margin-top: 10%;
    }

    .e-card {
      background: transparent;
      box-shadow: 0px 8px 28px -9px rgba(0,0,0,0.45);
      position: relative;
      border-radius: 16px;
      overflow: hidden;
    }

    .wave {
      position: absolute;
      width: 540px;
      height: 700px;
      opacity: 0.6;
      left: 0;
      top: 0;
      margin-left: -50%;
      margin-top: -70%;
      background: linear-gradient(744deg,#af40ff,#5b42f3 60%,#00ddeb);
      border-radius: 40%;
      animation: wave 55s infinite linear;
    }

    .wave:nth-child(2),
    .wave:nth-child(3) {
      top: 210px;
    }

    .playing .wave {
      animation: wave 3000ms infinite linear;
    }

    .playing .wave:nth-child(2) {
      animation-duration: 4000ms;
    }

    .wave:nth-child(2) {
      animation-duration: 50s;
    }

    .playing .wave:nth-child(3) {
      animation-duration: 5000ms;
    }

    .wave:nth-child(3) {
      animation-duration: 45s;
    }

    @keyframes wave {
      0% {
        transform: rotate(0deg);
      }
      100% {
        transform: rotate(360deg);
      }
    }

    .icon {
      width: 3em;
      margin-top: -1em;
      padding-bottom: 1em;
    }

    .infotop {
      text-align: center;
      font-size: 20px;
      position: absolute;
      top: 5.6em;
      left: 0;
      right: 0;
      color: rgb(255, 255, 255);
      font-weight: 600;
    }

    .name1 {
      font-size: 14px;
      font-weight: 100;
      position: relative;
      top: 1em;
      text-transform: lowercase;
}